#ifndef CMYEVENTRECEIVER_H_INCLUDED
#define CMYEVENTRECEIVER_H_INCLUDED


#include <irrlicht.h>
#include "CGameContext.h"

using namespace irr;

/*struct SMouseState
{
    core::vector2d<s32> Position;
    bool LeftButtonDown;
    SMouseState() : LeftButtonDown(false) { }
};*/

class CMyEventReceiver : public IEventReceiver
{
    public:

	CMyEventReceiver(SAppContext &);

	virtual bool OnEvent(const SEvent& event);
	virtual bool IsKeyDown(EKEY_CODE keyCode) const;
    virtual bool IsLMBDown() const;
    virtual bool IsRMBDown() const;

    SMouseState & GetMouseState();

	~CMyEventReceiver();

	private:
	bool KeyIsDown[KEY_KEY_CODES_COUNT];
    bool LEFTBUTTONCLICKED;
    bool RIGHTBUTTONCLICKED;

	SAppContext & App;


};


#endif // CMYEVENTRECEIVER_H_INCLUDED
